Themler v.367 Update (20-April-2017)

Support Team
Support Team posted this 19 April 2017

Hi everyone!

We've fixed a number of issues found during beta testing and fixed compatibility issues with Woocommerce 3.0. The new version is 367.
Here is a list of fixes included in this Themler update:

General

  • Improved Themler stability;
  • Fixed minor issue with Slider;
  • Fixed various Themler crashes reported by customers;

Joomla

  • Fixed issue with duplicating or missing content;
  • Fixed issue with Menu items of External Link type;
  • Fixed issue with compatibility with PHP 7.1;
  • Fixed issue with store pages when store templates are removed from the theme;
  • Fixed issue with duplicating Post Template;
  • Added badge "Unpublished" to unpublished articles;
  • Other minor fixes;

VirtueMart

  • Fixed issue with Categories View in responsive mode;
  • Fixed the appearance of Login module on Shopping Cart page;
  • Fixed issue with "Ask a Question" control;
  • Fixed issue with VM Multivariant fields (for VM 3.0.17 and lover versions);
  • Other minor fixes;

WordPress

  • Fixed issue with WP admin toolbar in Themler (WP 4.7);
  • Fixed issue with menu location reset on Themler load (WP 4.7);
  • Removed the Woocommerce specific css when store templates are removed;
  • Fixed issue with compatibility with PHP 7.1;
  • Fixed issue with MegaMenu option in the WP Admin Panel;
  • Fixed issue with shortcodes;
  • Fixed issue with comments pagination;
  • Other minor fixes;

WooCommerce

  • Fixed compatibility issues with the new Woocommerce 3.0;
  • Fixed issue with "Product Designer" plugin;
  • Other minor fixes;

Drupal, PrestaShop

  • Fixed issue with compatibility with PHP 7.1

Thank you,
Themler Team

Hi everyone! We've fixed a number of issues found during beta testing and fixed compatibility issues with Woocommerce 3.0. The new version is 367. Here is a list of fixes included in this Themler update: [post:128103] Thank you, Themler Team

Last edited 3 weeks ago by Support Team

Vote to pay developers attention to this features or issue.
25 Comments
Order By: Standard | Newest
pawel.neografix
13 Posts
pawel.neografix posted this 20 April 2017

In the download section of your site is still the previous version 355?

In the download section of your site is still the previous version 355?
Support Team
Support Team posted this 20 April 2017

Hi,

We'll update the blank themes. But you can update the downloaded theme manually if needed.

Thank you,
Olivia

Hi, We'll update the blank themes. But you can update the downloaded theme manually if needed. Thank you, Olivia
pdg.design
34 Posts
pdg.design posted this 20 April 2017

Good news!

Good news!
textus
10 Posts
textus posted this 20 April 2017

Thanks for the update!
One question though. It seems that Themler is still using 3 outdated woocommerce templates. In the woocommerce system status page I get this:

theme_name/woocommerce/archive-product.php,
theme_name/woocommerce/cart/cart.php version 2.3.8 is out of date. The core version is 3.0.3,
theme_name/woocommerce/loop/result-count.php version 2.0.0 is out of date. The core version is 3.0.0,
theme_name/woocommerce/loop/sale-flash.php,
theme_name/woocommerce/notices/error.php,
theme_name/woocommerce/notices/notice.php,
theme_name/woocommerce/notices/success.php,
theme_name/product-searchform.php version - is out of date. The core version is 2.5.0,
theme_name/woocommerce/single-product.php

Can I just overwrite cart.php, result-count.php, and product-searchform.php with the current version, or will that break my theme? If not, will you be updating them soon for woocommerce 3 compatibility?
Cheers Ron

Thanks for the update! One question though. It seems that Themler is still using 3 outdated woocommerce templates. In the woocommerce system status page I get this: theme_name/woocommerce/archive-product.php, theme_name/woocommerce/cart/cart.php **version 2.3.8 is out of date. The core version is 3.0.3,** theme_name/woocommerce/loop/result-count.php **version 2.0.0 is out of date. The core version is 3.0.0,** theme_name/woocommerce/loop/sale-flash.php, theme_name/woocommerce/notices/error.php, theme_name/woocommerce/notices/notice.php, theme_name/woocommerce/notices/success.php, theme_name/product-searchform.php **version - is out of date. The core version is 2.5.0,** theme_name/woocommerce/single-product.php Can I just overwrite cart.php, result-count.php, and product-searchform.php with the current version, or will that break my theme? If not, will you be updating them soon for woocommerce 3 compatibility? Cheers Ron
Support Team
Support Team posted this 20 April 2017

textus,

I've asked our developers about update of these files. We'll let you know when we receive any news from them.
I cannot guarantee that your custom changes will not break some parts of the shop or theme functionality.

Thank you,
Olivia

textus, I've asked our developers about update of these files. We'll let you know when we receive any news from them. I cannot guarantee that your custom changes will not break some parts of the shop or theme functionality. Thank you, Olivia
kheidemann
36 Posts
kheidemann posted this 20 April 2017

I have the same issue as Textus which I have brought up before. Is there something I need to do to make this go away? I ran the beta and I just ended my beta testing and have the latest stable version but this error still shows.

The cart seems to be calculating the correct sales tax for the State now which was broken earlier and everything seems to be working okay as far as I can tell but this error in WooCommerce still concerns me.

Templates
This section shows any files that are overriding the default template pages.
Overrides
1010NewDesign/woocommerce/archive-product.php,
1010NewDesign/woocommerce/cart/cart.php version 2.3.8 is out of date. The core version is 3.0.3,
1010NewDesign/woocommerce/loop/result-count.php version 2.0.0 is out of date. The core version is 3.0.0,
1010NewDesign/woocommerce/loop/sale-flash.php,
1010NewDesign/woocommerce/notices/error.php,
1010NewDesign/woocommerce/notices/notice.php,
1010NewDesign/woocommerce/notices/success.php,
1010NewDesign/product-searchform.php version - is out of date. The core version is 2.5.0,
1010NewDesign/woocommerce/single-product.php

I have the same issue as Textus which I have brought up before. Is there something I need to do to make this go away? I ran the beta and I just ended my beta testing and have the latest stable version but this error still shows. The cart seems to be calculating the correct sales tax for the State now which was broken earlier and everything seems to be working okay as far as I can tell but this error in WooCommerce still concerns me. **Templates** This section shows any files that are overriding the default template pages. **Overrides** 1010NewDesign/woocommerce/archive-product.php, 1010NewDesign/woocommerce/cart/cart.php version 2.3.8 is out of date. The core version is 3.0.3, 1010NewDesign/woocommerce/loop/result-count.php version 2.0.0 is out of date. The core version is 3.0.0, 1010NewDesign/woocommerce/loop/sale-flash.php, 1010NewDesign/woocommerce/notices/error.php, 1010NewDesign/woocommerce/notices/notice.php, 1010NewDesign/woocommerce/notices/success.php, 1010NewDesign/product-searchform.php version - is out of date. The core version is 2.5.0, 1010NewDesign/woocommerce/single-product.php
mmixsetup
50 Posts
mmixsetup posted this 21 April 2017

So where do you download the desktop version as the one on your homepage is 319 or do you need to download it and just run an update?

So where do you download the desktop version as the one on your homepage is 319 or do you need to download it and just run an update?
shaulhadar
400 Posts
shaulhadar posted this 22 April 2017

Hi Themler Team, is there any news perhaps on the minify javascript option?

Thanks..

Hi Themler Team, is there any news perhaps on the minify javascript option? Thanks..
milu.cernochova
10 Posts
milu.cernochova posted this 22 April 2017

Hi, when I click on thumbnail in Woocommerce product detail, it opens in self window. What should I do with it?
Thanks

Hi, when I click on thumbnail in Woocommerce product detail, it opens in self window. What should I do with it? Thanks
lukasz.dryl
1 Posts
lukasz.dryl posted this 22 April 2017

Still outdated woocommerce templates produce errors. Translation not working in cart on non-english sites. Please fix this soon as possible.

Still outdated woocommerce templates produce errors. Translation not working in cart on non-english sites. Please fix this soon as possible.
hansu
11 Posts
hansu posted this 22 April 2017

Hi, I seem to get the same "1 Updates" warning each time I open Themler on my desktop (Win10), despite the fact that I have allready installed the latest Themler update (20 April 2017) twice now.
This is valid both in WP and Joomla. Is this an update for the individual CMS you are using, or should it be common to all templates in Themler?
Any ideas?

Hi, I seem to get the same "1 Updates" warning each time I open Themler on my desktop (Win10), despite the fact that I have allready installed the latest Themler update (20 April 2017) twice now. This is valid both in WP and Joomla. Is this an update for the individual CMS you are using, or should it be common to all templates in Themler? Any ideas?

Last edited 22 April 2017 by hansu

jlucblard
6 Posts
jlucblard posted this 22 April 2017

Hello,
By updating my version THEMLER this morning I have a problem in displaying my cart.
I no longer have the title of my article, there the quantity, the price the removal ...

Thank's for your help.

Hello, By updating my version THEMLER this morning I have a problem in displaying my cart. I no longer have the title of my article, there the quantity, the price the removal ... Thank's for your help.
jlucblard
6 Posts
jlucblard posted this 22 April 2017

Hello,
By updating my version THEMLER this morning I have a problem in displaying my cart.
I no longer have the title of my article, there the quantity, the price the removal ...

Thank's for your help.

It's ok,

It was just a problem with visual composer.

Thank you.

> Hello, > By updating my version THEMLER this morning I have a problem in displaying my cart. > I no longer have the title of my article, there the quantity, the price the removal ... > > Thank's for your help. It's ok, It was just a problem with visual composer. Thank you.
alsepl
32 Posts
alsepl posted this 23 April 2017

Upgrading to v367 started to cause an error:

PHP Memory Configuration Error Themler requires at least 64Mb of PHP
memory (you have "0.0001220703125Mb"). Please increase your PHP memory
to continue. For more information, please check this link.

Before the upgrade, I worked for half an hour with the Themler, everything was fine.
(shared hosting, Drupal 7, 128 Mb memory)

UPDATE: I restored the theme (v340) and the Themler module from the backup, everything worked again. Better is the enemy of the good.

Upgrading to v367 started to cause an error: > PHP Memory Configuration Error Themler requires at least 64Mb of PHP > memory (you have "0.0001220703125Mb"). Please increase your PHP memory > to continue. For more information, please check this link. Before the upgrade, I worked for half an hour with the Themler, everything was fine. (shared hosting, Drupal 7, 128 Mb memory) UPDATE: I restored the theme (v340) and the Themler module from the backup, everything worked again. Better is the enemy of the good.

Last edited 23 April 2017 by alsepl

KinexMedia
1 Posts
KinexMedia posted this 24 April 2017

I dont understand

I dont understand
Kevin Doussaint
1 Posts
Kevin Doussaint posted this 24 April 2017

Just a little thank you for Themler wich is just a perfect tool for designing websites fast and efficiently !

Artisteer was good, Themler is closed to be perfect :)

Really thank you !

Kevin

Just a little thank you for Themler wich is just a perfect tool for designing websites fast and efficiently ! Artisteer was good, Themler is closed to be perfect :) Really thank you ! Kevin
Alexander Dzhuninski
124 Posts
Alexander Dzhuninski posted this 24 April 2017

After update, when i try to export updated JOOMLA theme, zipped folder is 1.3 kb only !
before update, everything is ok with export!

After update, when i try to export updated JOOMLA theme, zipped folder is 1.3 kb only ! before update, everything is ok with export!

Last edited 24 April 2017 by Alexander Dzhuninski

Support Team
Support Team posted this 24 April 2017

Hi everyone!

Please do not report technical problems in this general topic. It's impossible to investigate them in this way. If you have any problems with this update please create new Private topics and describe the issues in more details including screenshots, problem theme or access to the admin panel.

shaulhadar,

Hi Themler Team, is there any news perhaps on the minify javascript option?

Unfortunately we do not have any news regarding this feature. It is still in our wish list. But you can try using any ready CMS tools for this.

mmixsetup,

So where do you download the desktop version as the one on your homepage is 319 or do you need to download it and just run an update?

If you do not have Themler Desktop installed simply download the current version and update themes manually.

Thank you,
Olivia

Hi **everyone**! Please **do not report technical problems in this general topic**. It's impossible to investigate them in this way. If you have any problems with this update please create new Private topics and describe the issues in more details including screenshots, problem theme or access to the admin panel. **shaulhadar**, > Hi Themler Team, is there any news perhaps on the minify javascript option? Unfortunately we do not have any news regarding this feature. It is still in our wish list. But you can try using any ready CMS tools for this. **mmixsetup,** > So where do you download the desktop version as the one on your homepage is 319 or do you need to download it and just run an update? If you do not have Themler Desktop installed simply download the current version and update themes manually. Thank you, Olivia
shaulhadar
400 Posts
shaulhadar posted this 24 April 2017

Thanks Olivia !!

Thanks Olivia !!
pdg.design
34 Posts
pdg.design posted this 26 April 2017

Hi!
Joomla 3.7 will to work with new version of Themler?

Hi! Joomla 3.7 will to work with new version of Themler?
You must log in or register to leave comments